summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorIan Emnace2018-09-26 14:42:00 +0800
committerIan Emnace2018-09-26 14:42:00 +0800
commitc787e0eb0cf2faeb7d9a082662316439b09d77d1 (patch)
tree6e12a9a37fa5fc3caf490f80306dbbb8673bc95b
parentc17564ac3c5a49599054880e97cade03b2a5af90 (diff)
downloadaur-c787e0eb0cf2faeb7d9a082662316439b09d77d1.tar.gz
Bump version to 10.0.0
Now requires eslint>=4.12.1. See: https://github.com/babel/babel-eslint/releases/tag/v10.0.0
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD6
2 files changed, 8 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index adf7112e394..3c7ab8cbcf0 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,16 +1,16 @@
pkgbase = babel-eslint
pkgdesc = A wrapper for Babel's parser used for ESLint
- pkgver = 9.0.0
+ pkgver = 10.0.0
pkgrel = 1
url = https://github.com/babel/babel-eslint
arch = any
license = MIT
makedepends = npm
depends = nodejs
- depends = eslint
- noextract = babel-eslint-9.0.0.tgz
- source = http://registry.npmjs.org/babel-eslint/-/babel-eslint-9.0.0.tgz
- md5sums = d3378ac787ebe8143255db94cd1202b6
+ depends = eslint>=4.12.1
+ noextract = babel-eslint-10.0.0.tgz
+ source = http://registry.npmjs.org/babel-eslint/-/babel-eslint-10.0.0.tgz
+ md5sums = 1d6d6975e749a0f0876185b31ecc216a
pkgname = babel-eslint
diff --git a/PKGBUILD b/PKGBUILD
index 4681d0fff2c..079294c1e78 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,17 +1,17 @@
# Maintainer: Ian Emnace <igemnace@gmail.com>
pkgname=babel-eslint
-pkgver=9.0.0
+pkgver=10.0.0
pkgrel=1
pkgdesc="A wrapper for Babel's parser used for ESLint"
arch=('any')
url='https://github.com/babel/babel-eslint'
license=('MIT')
-depends=('nodejs' 'eslint')
+depends=('nodejs' 'eslint>=4.12.1')
makedepends=('npm')
source=("http://registry.npmjs.org/$pkgname/-/$pkgname-$pkgver.tgz")
noextract=("$pkgname-$pkgver.tgz")
-md5sums=('d3378ac787ebe8143255db94cd1202b6')
+md5sums=('1d6d6975e749a0f0876185b31ecc216a')
package() {
npm install -g --user root --prefix "$pkgdir/usr" "$srcdir/$pkgname-$pkgver.tgz"